php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #3099 check for gdImagFromGif doesn't work even if I use gd 1.3
Submitted: 2000-01-04 11:50 UTC Modified: 2000-01-04 16:00 UTC
From: runesk at ra dot no Assigned:
Status: Closed Package: Installation problem
PHP Version: 3.0.13 OS: RedHat Linux 6.0
Private report: No CVE-ID: None
 [2000-01-04 11:50 UTC] runesk at ra dot no
After upgrading from 3.0.12 to 3.0.13 today my gif's don't show anymore. I get an error like this:
  Fatal error: Call to unsupported or undefined function imagecreatefromgif() in /some/path/to/file.php

gd is installed from default RedHat rpm:
  $ rpm -q gd-devel  
  gd-devel-1.3-5

It seems like the checks on gd fails in configure
  ./configure --with-gd |grep gdImage
  checking for gdImageLzw in -lgd... no
  checking for gdImageCreateFromPng in -lgd... no
  checking for gdImageCreateFromGif in -lgd... no
  checking for gdImageColorResolve in -lgd... no
  checking for gdImageGif in -lgd... yes
  checking for gdImageCopyMerge in -lgd... no
  checking for gdImageGifToSink in -lgd... no
  checking for gdImageString16 in -lgd... yes

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2000-01-04 16:00 UTC] rasmus at cvs dot php dot net
Fixed in CVS.  A weird workaround is to install libpng and libz, then rm config.cache and re-run your configure script.
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Wed Dec 07 02:05:56 2022 UTC